package com.ym.mec.biz.dal.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;

import com.ym.mec.common.entity.BaseEntity;

/**
 * 对应数据库表(sys_coupon_code):
 */
public class SysCouponCode extends BaseEntity {

	/**  */
	private Long id;
	
	/**  */
	private Integer couponId;
	
	/** 优惠码 */
	private String code;
	
	/** 使用状态：0未使用，1已使用 */
	private Integer usageStatus;
	
	/** 用户编号 */
	private Integer userId;
	
	/** 实际使用时间 */
	private java.util.Date usedTime;
	
	/** 使用开始日期 */
	private java.util.Date useStartDate;
	
	/** 使用截止日期 */
	private java.util.Date useDeadlineDate;
	
	/** 关联的订单号 */
	private Long paymentOrderId;

    /**
     * 发放记录id
     */
    private Integer issueId;

    /**
     *0手动领取  1手动发放 2交易获取
     */
    private Integer type;

	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;
	
	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}
			
	public void setCouponId(Integer couponId){
		this.couponId = couponId;
	}
	
	public Integer getCouponId(){
		return this.couponId;
	}
			
	public void setCode(String code){
		this.code = code;
	}
	
	public String getCode(){
		return this.code;
	}
			
	public void setUsageStatus(Integer usageStatus){
		this.usageStatus = usageStatus;
	}
	
	public Integer getUsageStatus(){
		return this.usageStatus;
	}
			
	public void setUserId(Integer userId){
		this.userId = userId;
	}
	
	public Integer getUserId(){
		return this.userId;
	}
			
	public void setUsedTime(java.util.Date usedTime){
		this.usedTime = usedTime;
	}
	
	public java.util.Date getUsedTime(){
		return this.usedTime;
	}
			
	public void setUseStartDate(java.util.Date useStartDate){
		this.useStartDate = useStartDate;
	}
	
	public java.util.Date getUseStartDate(){
		return this.useStartDate;
	}
			
	public void setUseDeadlineDate(java.util.Date useDeadlineDate){
		this.useDeadlineDate = useDeadlineDate;
	}
	
	public java.util.Date getUseDeadlineDate(){
		return this.useDeadlineDate;
	}
			
	public void setPaymentOrderId(Long paymentOrderId){
		this.paymentOrderId = paymentOrderId;
	}
	
	public Long getPaymentOrderId(){
		return this.paymentOrderId;
	}

    public Integer getIssueId() {
        return issueId;
    }

    public void setIssueId(Integer issueId) {
        this.issueId = issueId;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
